# Class: MoneroCheckReserve

## MoneroCheckReserve()

Results from checking a reserve proof.

## Constructor

#### new MoneroCheckReserve()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 9

### Extends

- MoneroCheck

### Methods

#### getTotalAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 24

#### getUnconfirmedSpentAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 33

#### isGood()

Overrides:
  - MoneroCheck#isGood
Source:
  - src/main/js/wallet/model/MoneroCheck.js, line 12

#### setIsGood()

Overrides:
  - MoneroCheck#setIsGood
Source:
  - src/main/js/wallet/model/MoneroCheck.js, line 16

#### setTotalAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 28

#### setUnconfirmedSpentAmount()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 37

#### toJson()

Source:
  - src/main/js/wallet/model/MoneroCheckReserve.js, line 17